
package de.ivu.elect.business.wahlvorschlag.boundary;

import javax.annotation.Nullable;

import de.ivu.elect.business.dokumente.control.ElectDokumentContext;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.kandidatur.control.StimmzettelFormatterKandidaturFormatDarstellung;

public class WahlvorschlaegeDokumentContext extends ElectDokumentContext {

  private static final long serialVersionUID = 1L;

  private final Gebiet gebiet;

  private final StimmzettelFormatterKandidaturFormatDarstellung kandidaturFormatDarstellung;

  public WahlvorschlaegeDokumentContext(ElectDokumentContext other) {
    this(other, null, null);
  }

  public WahlvorschlaegeDokumentContext(ElectDokumentContext other, @Nullable Gebiet gebiet, StimmzettelFormatterKandidaturFormatDarstellung kandidaturFormatDarstellung) {
    super(other);

    this.gebiet = gebiet;

    this.kandidaturFormatDarstellung = kandidaturFormatDarstellung;
  }

  @Nullable
  public Gebiet getGebiet() {
    return gebiet;
  }

  @Nullable
  public StimmzettelFormatterKandidaturFormatDarstellung getKandidaturFormatDarstellung() {
    return kandidaturFormatDarstellung;
  }
}
